## Package Win32::GUI::ListView

Back to the Packages

- Constructor

  - new Win32::GUI::ListView(PARENT, %OPTIONS)

- Methods

  - Add(ITEM, ITEM .. ITEM)

  - Arrange([FLAG])

  - ChangeItem(%OPTIONS)

  - Clear()

  - ColumnWidth(COLUMN, [WIDTH])

  - Count()

  - DeleteColumn(INDEX)

  - DeleteItem(INDEX)

  - EditLabel(INDEX)

  - EnsureVisible(INDEX, [FLAG])

  - GetFirstVisible()

  - GetItem(INDEX, [SUBINDEX])

  - GetStringWidth(STRING)

  - HitTest(X, Y)

  - InsertColumn(%OPTIONS)

  - InsertItem(%OPTIONS)

  - ItemCheck(INDEX)

  - ItemInfo(INDEX, [SUBINDEX])

  - ItemPosition(INDEX, [X, Y])

  - MoveItem(INDEX, X, Y)

  - Select(INDEX)

  - SelectCount()

  - SelectedItems()

  - SetImageList(IMAGELIST, [TYPE])

  - SetItem(%OPTIONS)

  - TextBkColor([COLOR])

  - TextColor([COLOR])

  - View([MODE])

  - VisibleCount()

- Events

  - ColumnClick(ITEM)

  - ItemCheck(ITEM)

  - ItemClick(ITEM)

  - KeyDown(KEY)

### Constructor

new Win32::GUI::ListView(PARENT, %OPTIONS)

  Creates a new ListView object; can also be called as PARENT->AddListView(%OPTIONS).

### Methods

Add(ITEM, ITEM .. ITEM)

  Inserts one or more items in the control; each item must be passed as an hash reference. See InsertItem() for a list of the available key/values of these hashes.

Arrange([FLAG])

  [TBD]

ChangeItem(%OPTIONS)

  [TBD]

Clear()

  Deletes all items from the ListView.

ColumnWidth(COLUMN, [WIDTH])

  Gets or sets the width of the specified COLUMN; WIDTH can be the desired width in pixels or one of the following special values:

        -1 automatically size the column
        -2 automatically size the column to fit the header text

Count()

  Returns the number of items in the ListView.

DeleteColumn(INDEX)

  [TBD]

DeleteItem(INDEX)

  Removes the zero-based INDEX item from the ListView.

EditLabel(INDEX)

  [TBD]

EnsureVisible(INDEX, [FLAG])

  [TBD]

GetFirstVisible()

  Returns the index of the first visible item in the ListView.

GetItem(INDEX, [SUBINDEX])

  See ItemInfo().

GetStringWidth(STRING)

  [TBD]

HitTest(X, Y)

  [TBD]

InsertColumn(%OPTIONS)

  [TBD]

InsertItem(%OPTIONS)

  Inserts a new item in the control. (@)OPT: -image => NUMBER (@)OPT: index of an image from the associated ImageList (@)OPT: -indent => NUMBER (@)OPT: how much the item must be indented; one unit (@)OPT: is the width of an item image, so 2 is twice (@)OPT: the width of the image, and so on. (@)OPT: -item => NUMBER (@)OPT: zero-based index for the new item; the default (@)OPT: is to add the item at the end of the list. (@)OPT: -selected => 0/1, default 0 (@)OPT: -text => STRING (@)OPT: the text for the item

ItemCheck(INDEX)

  [TBD]

ItemInfo(INDEX, [SUBINDEX])

  Returns an associative array of information about the given zero-based INDEX item:

          -image
          -state
          -text

  Optionally, a SUBINDEX (one-based index) can be given, to get the text for the specified column.

ItemPosition(INDEX, [X, Y])

  [TBD]

MoveItem(INDEX, X, Y)

  [TBD]

Select(INDEX)

  [TBD]

SelectCount()

  [TBD]

SelectedItems()

  Retuns an array containing the zero-based indexes of selected items.

SetImageList(IMAGELIST, [TYPE])

  [TBD]

SetItem(%OPTIONS)

  See ChangeItem().

TextBkColor([COLOR])

  Gets or sets the background color for the text in the ListView.

TextColor([COLOR])

  Gets or sets the text color for the ListView.

View([MODE])

  [TBD]

VisibleCount()

  [TBD]

### Events

ColumnClick(ITEM)

  Sent when the user clicks on a column header in the ListView; ITEM specifies the one-based index of the selected column.

ItemCheck(ITEM)

  Sent when the user changes the checkbox of an item in the ListView; ITEM specifies the zero-based index of the selected item.

ItemClick(ITEM)

  Sent when the user selects an item in the ListView; ITEM specifies the zero-based index of the selected item.

KeyDown(KEY)

  Sent when the user presses a key while the ListView control has focus; KEY is the ASCII code of the key being pressed.